import 'package:flutter/material.dart';

/// {@category Widgets}
///
/// This class is used to define [LinearGradient] properties for the nebula theme.
class NebulaGradients {
  static const semanticLightThemeSurfaceButtonPrimaryHovered = LinearGradient(
    begin: Alignment(-0.4746835281797983, -1),
    end: Alignment(0.8607595829344479, 1),
    stops: [
      0,
      1,
    ],
    colors: [
      Color(0xff1792ff),
      Color(0xff0053b5),
    ],
  );

  static const semanticLightThemeSurfaceButtonHighlight = LinearGradient(
    begin: Alignment(-0.4746835281797983, -1),
    end: Alignment(0.8607595829344479, 1),
    stops: [
      0,
      1,
    ],
    colors: [
      Color(0xff1792ff),
      Color(0xff0053b5),
    ],
  );

  static const semanticLightThemeSurfaceButtonCriticalHovered = LinearGradient(
    begin: Alignment(-1, -1),
    end: Alignment(1, 1),
    stops: [
      0,
      0.4948107898235321,
      1,
    ],
    colors: [
      Color(0xffff2866),
      Color(0xffcc154a),
      Color(0xff990831),
    ],
  );

  static const semanticLightThemeSurfaceButtonOutlinedHovered = LinearGradient(
    begin: Alignment(-0.4746835281797983, -1),
    end: Alignment(0.8607595829344479, 1),
    stops: [
      0,
      1,
    ],
    colors: [
      Color(0xff1792ff),
      Color(0xff0053b5),
    ],
  );

  static const semanticLightThemeSurfaceDecorativeBasic = LinearGradient(
    begin: Alignment(-0.6427876384495972, -0.7660444416073828),
    end: Alignment(0.6427876001364694, 0.7660443959475773),
    stops: [
      0.017100000753998756,
      0.5212000012397766,
      1,
    ],
    colors: [
      Color(0xff4f4a60),
      Color(0xff37324a),
      Color(0xff1d1a27),
    ],
  );

  static const semanticLightThemeSurfaceDecorativeSuccess = LinearGradient(
    begin: Alignment(-0.4430380054591341, -0.9999999845370801),
    end: Alignment(1, 1),
    stops: [
      0.021879900246858597,
      0.5125541687011719,
      0.9941198825836182,
    ],
    colors: [
      Color(0xff14b69a),
      Color(0xff0b9b83),
      Color(0xff05816c),
    ],
  );

  static const semanticLightThemeSurfaceDecorative2 = LinearGradient(
    begin: Alignment(-0.7500000138759226, -0.9999999891507051),
    end: Alignment(0.7031249085089355, 0.859374979471),
    stops: [
      0,
      1,
    ],
    colors: [
      Color(0xffff5c28),
      Color(0xff993908),
    ],
  );

  static const semanticLightThemeSurfaceDecorative3 = LinearGradient(
    begin: Alignment(-0.7313536897347144, -0.6819983623552915),
    end: Alignment(0.7313536897347144, 0.6819983623552917),
    stops: [
      0.021900000050663948,
      0.2896000146865845,
      0.9940999746322632,
    ],
    colors: [
      Color(0xff19deeb),
      Color(0xff0bcbd8),
      Color(0xff00b7c4),
    ],
  );

  static const semanticDarkThemeBackgroundBgDefault = LinearGradient(
    begin: Alignment(-0.6427876384495972, -0.7660444416073828),
    end: Alignment(0.6427876001364694, 0.7660443959475773),
    stops: [
      0.017100000753998756,
      0.5212000012397766,
      1,
    ],
    colors: [
      Color(0xff4f4a60),
      Color(0xff37324a),
      Color(0xff1d1a27),
    ],
  );

  static const semanticDarkThemeSurfaceButtonOutlinedHovered = LinearGradient(
    begin: Alignment(-0.4746835281797983, -1),
    end: Alignment(0.8607595829344479, 1),
    stops: [
      0,
      1,
    ],
    colors: [
      Color(0xff1792ff),
      Color(0xff0053b5),
    ],
  );

  static const coreGradientLinearWhite70 = LinearGradient(
    begin: Alignment(1, -0.9841269220791821),
    end: Alignment(-0.9999999397573842, 0.9999999408684115),
    stops: [
      0,
      0.00009999999747378752,
      0.4479166567325592,
      1,
    ],
    colors: [
      Color(0xfffcfcfd),
      Color(0xffffffff),
      Color(0xffffffff),
      Color(0xb2ffffff),
    ],
  );

  /// Midnight Purple
  static const coreGradientLinearGray = LinearGradient(
    begin: Alignment(-0.6427876384495972, -0.7660444416073828),
    end: Alignment(0.6427876001364694, 0.7660443959475773),
    stops: [
      0.017100000753998756,
      0.5212000012397766,
      1,
    ],
    colors: [
      Color(0xff4f4a60),
      Color(0xff37324a),
      Color(0xff1d1a27),
    ],
  );

  static const coreGradientLinearBlue = LinearGradient(
    begin: Alignment(-0.5591929075562637, -0.8290375644085223),
    end: Alignment(0.5591929408867595, 0.8290376138230133),
    stops: [
      0,
      1,
    ],
    colors: [
      Color(0xff1792ff),
      Color(0xff0053b5),
    ],
  );

  static const coreGradientLinearRed = LinearGradient(
    begin: Alignment(-0.6560590272529441, -0.7547096020175048),
    end: Alignment(0.6560589881487799, 0.7547095570333084),
    stops: [
      0,
      0.49480000138282776,
      1,
    ],
    colors: [
      Color(0xffff2866),
      Color(0xffcc154a),
      Color(0xff990831),
    ],
  );

  static const coreGradientLinearPurple = LinearGradient(
    begin: Alignment(-0.4746835836185239, -0.999999952454192),
    end: Alignment(0.999999851815351, 0.9999999255104912),
    stops: [
      0,
      1,
    ],
    colors: [
      Color(0xff9665fd),
      Color(0xff5123b2),
    ],
  );

  static const coreGradientLinearTeal = LinearGradient(
    begin: Alignment(-0.7313536897347144, -0.6819983623552915),
    end: Alignment(0.7313536897347144, 0.6819983623552917),
    stops: [
      0.021900000050663948,
      0.2896000146865845,
      0.9940999746322632,
    ],
    colors: [
      Color(0xff19deeb),
      Color(0xff0bcbd8),
      Color(0xff00b7c4),
    ],
  );

  NebulaGradients._();
}
