import 'package:flutter/material.dart';

/// {@category Widgets}
///
/// This class is used to define [TextStyle] properties for the nebula theme.
class NebulaTextStyles {
  static const display1 = TextStyle(
    fontFamily: "Manrope",
    fontWeight: FontWeight.w800,
    fontStyle: FontStyle.normal,
    fontSize: 79.16000366210938,
    decoration: TextDecoration.none,
    letterSpacing: -3.166400146484375,
  );

  static const display2 = TextStyle(
    fontFamily: "Manrope",
    fontWeight: FontWeight.w800,
    fontStyle: FontStyle.normal,
    fontSize: 48.61000061035156,
    decoration: TextDecoration.none,
    letterSpacing: -1.9444000244140625,
  );

  static const h1 = TextStyle(
    fontFamily: "Manrope",
    fontWeight: FontWeight.w800,
    fontStyle: FontStyle.normal,
    fontSize: 34.720001220703125,
    decoration: TextDecoration.none,
    letterSpacing: -0.6944000244140625,
  );

  static const h2 = TextStyle(
    fontFamily: "Manrope",
    fontWeight: FontWeight.w800,
    fontStyle: FontStyle.normal,
    fontSize: 30.549999237060547,
    decoration: TextDecoration.none,
    letterSpacing: -0.610999984741211,
  );

  static const h3 = TextStyle(
    fontFamily: "Manrope",
    fontWeight: FontWeight.w800,
    fontStyle: FontStyle.normal,
    fontSize: 23.610000610351562,
    decoration: TextDecoration.none,
    letterSpacing: -0.23610000610351561,
  );

  static const h4 = TextStyle(
    fontFamily: "Manrope",
    fontWeight: FontWeight.w800,
    fontStyle: FontStyle.normal,
    fontSize: 20.829999923706055,
    decoration: TextDecoration.none,
    letterSpacing: -0.20829999923706055,
  );

  static const h5 = TextStyle(
    fontFamily: "Manrope",
    fontWeight: FontWeight.w800,
    fontStyle: FontStyle.normal,
    fontSize: 16.670000076293945,
    decoration: TextDecoration.none,
    letterSpacing: 0,
  );

  static const subtitle1 = TextStyle(
    fontFamily: "Manrope",
    fontWeight: FontWeight.w600,
    fontStyle: FontStyle.normal,
    fontSize: 20.829999923706055,
    decoration: TextDecoration.none,
    letterSpacing: 0,
  );

  static const subtitle2 = TextStyle(
    fontFamily: "Manrope",
    fontWeight: FontWeight.w600,
    fontStyle: FontStyle.normal,
    fontSize: 15.279999732971191,
    decoration: TextDecoration.none,
    letterSpacing: 0.6111999893188477,
  );

  static const subtitle3 = TextStyle(
    fontFamily: "Manrope",
    fontWeight: FontWeight.w600,
    fontStyle: FontStyle.normal,
    fontSize: 13.890000343322754,
    decoration: TextDecoration.none,
    letterSpacing: 0.5556000137329101,
  );

  static const button1 = TextStyle(
    fontFamily: "Manrope",
    fontWeight: FontWeight.w800,
    fontStyle: FontStyle.normal,
    fontSize: 19.440000534057617,
    decoration: TextDecoration.none,
    letterSpacing: -0.19440000534057617,
  );

  static const button2 = TextStyle(
    fontFamily: "Manrope",
    fontWeight: FontWeight.w800,
    fontStyle: FontStyle.normal,
    fontSize: 16.670000076293945,
    decoration: TextDecoration.none,
    letterSpacing: -0.16670000076293945,
  );

  static const button3 = TextStyle(
    fontFamily: "Manrope",
    fontWeight: FontWeight.w800,
    fontStyle: FontStyle.normal,
    fontSize: 13.890000343322754,
    decoration: TextDecoration.none,
    letterSpacing: 0,
  );

  static const body1 = TextStyle(
    fontFamily: "Manrope",
    fontWeight: FontWeight.w400,
    fontStyle: FontStyle.normal,
    fontSize: 19.440000534057617,
    decoration: TextDecoration.none,
    letterSpacing: -0.19440000534057617,
  );

  static const body1Bolded = TextStyle(
    fontFamily: "Manrope",
    fontWeight: FontWeight.w800,
    fontStyle: FontStyle.normal,
    fontSize: 19.440000534057617,
    decoration: TextDecoration.none,
    letterSpacing: -0.19440000534057617,
  );

  static const body2 = TextStyle(
    fontFamily: "Manrope",
    fontWeight: FontWeight.w400,
    fontStyle: FontStyle.normal,
    fontSize: 16.670000076293945,
    decoration: TextDecoration.none,
    letterSpacing: -0.16670000076293945,
  );

  static const body2Bolded = TextStyle(
    fontFamily: "Manrope",
    fontWeight: FontWeight.w800,
    fontStyle: FontStyle.normal,
    fontSize: 16.670000076293945,
    decoration: TextDecoration.none,
    letterSpacing: -0.16670000076293945,
  );

  static const body3 = TextStyle(
    fontFamily: "Manrope",
    fontWeight: FontWeight.w400,
    fontStyle: FontStyle.normal,
    fontSize: 13.890000343322754,
    decoration: TextDecoration.none,
    letterSpacing: 0,
  );

  static const body3Bolded = TextStyle(
    fontFamily: "Manrope",
    fontWeight: FontWeight.w800,
    fontStyle: FontStyle.normal,
    fontSize: 13.890000343322754,
    decoration: TextDecoration.none,
    letterSpacing: 0,
  );

  static const body4 = TextStyle(
    fontFamily: "Manrope",
    fontWeight: FontWeight.w400,
    fontStyle: FontStyle.normal,
    fontSize: 12.5,
    decoration: TextDecoration.none,
    letterSpacing: 0,
  );

  static const caption1 = TextStyle(
    fontFamily: "Manrope",
    fontWeight: FontWeight.w800,
    fontStyle: FontStyle.normal,
    fontSize: 12.5,
    decoration: TextDecoration.none,
    letterSpacing: 0.25,
  );

  static const caption2 = TextStyle(
    fontFamily: "Manrope",
    fontWeight: FontWeight.w800,
    fontStyle: FontStyle.normal,
    fontSize: 11.109999656677246,
    decoration: TextDecoration.none,
    letterSpacing: 0.2221999931335449,
  );

  static const avatar1 = TextStyle(
    fontFamily: "Manrope",
    fontWeight: FontWeight.w800,
    fontStyle: FontStyle.normal,
    fontSize: 30.549999237060547,
    decoration: TextDecoration.none,
    letterSpacing: -0.610999984741211,
  );

  static const avatar2 = TextStyle(
    fontFamily: "Manrope",
    fontWeight: FontWeight.w800,
    fontStyle: FontStyle.normal,
    fontSize: 23.610000610351562,
    decoration: TextDecoration.none,
    letterSpacing: -0.47220001220703123,
  );

  static const avatar3 = TextStyle(
    fontFamily: "Manrope",
    fontWeight: FontWeight.w800,
    fontStyle: FontStyle.normal,
    fontSize: 20.829999923706055,
    decoration: TextDecoration.none,
    letterSpacing: -0.4165999984741211,
  );

  static const avatar4 = TextStyle(
    fontFamily: "Manrope",
    fontWeight: FontWeight.w800,
    fontStyle: FontStyle.normal,
    fontSize: 16.670000076293945,
    decoration: TextDecoration.none,
    letterSpacing: -0.3334000015258789,
  );

  static const avatar5 = TextStyle(
    fontFamily: "Manrope",
    fontWeight: FontWeight.w800,
    fontStyle: FontStyle.normal,
    fontSize: 13.890000343322754,
    decoration: TextDecoration.none,
    letterSpacing: -0.5556000137329101,
  );

  static const avatar6 = TextStyle(
    fontFamily: "Manrope",
    fontWeight: FontWeight.w800,
    fontStyle: FontStyle.normal,
    fontSize: 11.109999656677246,
    decoration: TextDecoration.none,
    letterSpacing: -0.4443999862670898,
  );

  static const avatar7 = TextStyle(
    fontFamily: "Manrope",
    fontWeight: FontWeight.w800,
    fontStyle: FontStyle.normal,
    fontSize: 8.329999923706055,
    decoration: TextDecoration.none,
    letterSpacing: -0.3331999969482422,
  );

  NebulaTextStyles._();
}
